import {Component, Input, Output, EventEmitter} from '@angular/core';

@Component({
	selector: 'no-load-paging',
	template: `
		<div class="paging-hr searchPaging uk-margin-small-bottom">
			<div class="uk-panel uk-margin-small-top uk-grid uk-flex uk-flex-middle uk-child-width-1-1 uk-child-width-1-2@m" uk-grid>
				<h6 *ngIf="type && totalResults">
					<span>{{totalResults | number}}</span>
					<span class="uk-text-muted uk-text-capitalize"> {{type}}, page </span>
					<span>{{page}}</span>
					<span class="uk-text-muted"> of </span>
					<span>{{paging.getTotalPages() | number}}</span>
				</h6>
				<div>
					<paging-no-load  #paging [currentPage]="page"
													customClasses="uk-margin-remove-bottom"
													[totalResults]="totalResults" [size]="pageSize"
													(pageChange)="updatePage($event)">
					</paging-no-load>
				</div>
			</div>
		</div>
	`
})
export class NoLoadPagingComponent {
	@Input() type: string;
	@Input() page: number = 1;
	@Input() pageSize: number = 10;
	@Input() totalResults: number;
	@Output() pageChange: EventEmitter<any> = new EventEmitter<any>();
	
	public updatePage(event) {
		this.pageChange.emit({
			value: event.value
		});
	}
}
